/*--------------------------------------------------------------------------
 * oxgauss.h - master file for functions mapped from Gauss to Ox
 *
 *       (C) Jurgen Doornik 2000-2001
 *
 *--------------------------------------------------------------------------*/

namespace gauss
{
	extern "keyword" compile(const s);
	extern "keyword" chdir(const s);
	extern "keyword" cls(const s);
	extern "keyword" comlog(const s);
	extern "keyword" compile(const s);
	extern "keyword" debug(const s);
	extern "keyword" dos(const s);
	extern "keyword" errorlog(const s);
	extern "keyword" locate(const s);
	extern "keyword" lprint(const s);
	extern "keyword" lpwidth(const s);
	extern "keyword" lshow(const s);
	extern "keyword" msym(const s);
	extern "keyword" pqgwin(const s);
	extern "keyword" prcsn(const s);
	extern "keyword" printdos(const s);
	extern "keyword" rndcon(const s);
	extern "keyword" rndmod(const s);
	extern "keyword" rndmult(const s);
	extern "keyword" screen(const s);
	extern "keyword" scroll(const s);
	extern "keyword" shell(const s);
	extern decl __fmtcv;
	extern decl __fmtnv;
	extern formatcv(const mch);
	extern formatnv(const mch);

	extern __balance__(const ma, const adg);
	extern __fclearerror__(const file);
	extern __ferror__(const file);
	extern __fgets__(const file, const n, ...);
	extern __loadpath__(const iType, const sPath);
	extern __new__();
	extern __opdivide__(const y, const x);
	extern __opdollar__(const x, const y, const op);
	extern __opdollardot__(const x, const y, const op);
	extern __opstrarrayhcat__(const x, const y);
	extern __opstrplus__(const x, const y);
	extern __strcmp__(const s1, const s2);
	extern __strerror__();
	extern __typecv__(const s);
}
